## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://developers.dwolla.com/llms.txt)

Use this file to discover all available pages before exploring further.

GET

https://api.dwolla.comhttps://api-sandbox.dwolla.com

/transfers/{id}/fees

### cURL

```
GET https://api-sandbox.dwolla.com/transfers/83eb4b5e-a5d9-e511-80de-0aa34a9b2388/fees
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY
```

### Example Code

#### Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
```javascript
var transferUrl =
  "https://api-sandbox.dwolla.com/transfers/83eb4b5e-a5d9-e511-80de-0aa34a9b2388";

dwolla.get(`${transferUrl}/fees`).then((res) => res.body.total); // => 2
```

#### Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
```python
transfer_url = 'https://api-sandbox.dwolla.com/transfers/83eb4b5e-a5d9-e511-80de-0aa34a9b2388'

fees = app_token.get('%s/fees' % transfer_url)
fees.body['total'] # => 2
```

#### Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
```php
$transferUrl = 'https://api-sandbox.dwolla.com/transfers/83eb4b5e-a5d9-e511-80de-0aa34a9b2388';

$transfersApi = new DwollaSwagger\TransfersApi($apiClient);

$transferFees = $transfersApi->getFeesBySource($transferUrl);
$transferFees->total; # => "2"
```

#### Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
```ruby
transfer_url = 'https://api-sandbox.dwolla.com/transfers/83eb4b5e-a5d9-e511-80de-0aa34a9b2388'

fees = app_token.get "#{transfer_url}/fees"
fees.total # => 2
```

### Responses

**200**
```json
{
  "transactions": [
    {
      "_links": {},
      "id": "416a2857-c887-4cca-bd02-8c3f75c4bb0e",
      "status": "pending",
      "amount": {
        "value": "2.00",
        "currency": "USD"
      },
      "created": "2016-02-22T20:46:38.777Z"
    }
  ],
  "total": 1
}
```

**404**
```json
{
  "code": "NotFound",
  "message": "The requested resource was not found."
}
```

### Authorizations

**Authorization**  
*Type:* string  
*Location:* header  
*Required:* required  
The access token received from the authorization server in the OAuth 2.0 flow.

### Headers

**Accept**  
*Type:* enum<string>  
*Default:* application/vnd.dwolla.v1.hal+json  
*Required:* required  
The media type of the response. Must be application/vnd.dwolla.v1.hal+json

**Available options:**  
`application/vnd.dwolla.v1.hal+json`

### Path Parameters

**id**  
*Type:* string  
*Required:* required  
ID of transfer to retrieve fees for

### Response Details

**200**  
*Content-Type:* application/vnd.dwolla.v1.hal+json  
*Description:* successful operation

**transactions**  
*Type:* object[]

**total**  
*Type:* integer<int32>  
*Example:* `1`
